[InputConfigurations]
# Filters file containing calibration FIR filters
FiltersFileName: /home/calibration/ifo/GDSfilters/filtersfiles/L1/L1_test_correct_strain_filters.h5
# Data source should be set to frames or lvshm
DataSource: lvshm
FileChecksum: No
# Right now, SkipBadFiles needs to be off when reading from frames
SkipBadFiles: No

###################################################
# If reading from shared memory use these options #
###################################################
SHMPartition: LLO_Online
# Assumed duration of input frames in seconds
InputFrameDuration: 1
# If there is no raw data coming in, we can begin to fill in missing data with zeros after this amount of time.  Set to 0.0 to disable.
WaitTime: 10.0

[OutputConfigurations]
CompressionScheme: 6
CompressionLevel: 3
ChanPrefix: GDS-
# Set to "None" if you do not want a channel suffix
ChanSuffix: _CALCS_CORRECTED
# Data sink should be set to frames or lvshm
DataSink: lvshm
#################################################
# If writing to shared memory use these options #
#################################################
OutputSHMPartition: LLO_hoftCor
BufferMode: 2
# Use this to approximate the frame size (in bytes) when writing to shared memory
FrameSize: 300000
NumBuffers: 10
###############################################
# If writing to frame files use these options #
###############################################
FrameType: L1_HOFT_CALCS_CORRETED_TEST

[MonitoringConfigurations]
# This server is for LHO DMT
#KafkaServer: 192.168.1.2:9094
# This server is for LHO LDAS
#KafkaServer: 10.21.6.226:9182
#DataType: max
#InfluxHostname: influxdb.ligo.caltech.edu
#InfluxPort: 8086
#InfluxDatabaseName: gstlal_calibration
#AcrossJobs: Yes
#DumpPeriod: 1
#EnableAuth: No
#EnableHttps: No

[CalibrationConfigurations]
IFO: L1
ComputeCalibStateVector: Yes

[DebuggingConfigurations]
# If you want to write a pipeline graph, provide the graph name.  Otherwise, set name equal to None
PipelineGraphFilename: None
Verbose: Yes
# Turn this on to monitor latency with kafka
MonitorLatency: No
# Turn this on to compute transfer functions for the filters by comparing output data to input data
TestFilters: No

[ChannelNames]
#############################
# Calibration Channel Names #
#############################
CALCSStrainChannel: CAL-CFTD_DELTAL_EXTERNAL_DQ
####################################
# Data Quality Vector Channel Name #
####################################
LowNoiseStateChannel: GRD-IFO_READY
HWInjChannel: CAL-INJ_STATUS_OUT_DQ
ObsIntentChannel: GRD-IFO_INTENT
FilterClockChannelList: GRD-ISC_LOCK_OK
#CALCSSvChannel: ??

[SampleRates]
# Sample rate at which to compute h(t)
HoftSR: 16384
# Sample rate at which to compute CALIB_STATE_VECTOR
CalibStateSR: 16
# Sample rate of low noise state channel
LowNoiseSR: 16
# Sample rate of HW injection channel
HWInjSR: 16384
# Sample rate of observation intent channel
ObsIntentSR: 16
# Sample rate list for channels being used to trigger filter settling clock
FilterClockSRList: 16
# Sample rate for dropping the monitoring metrics
MetricsSR: 1
# Sample rate for CALCS state vector channel
#CALCSSvSR: 16

[Bitmasks]
ObsReadyBitmask: 1
ObsIntentBitmask: 1
CBCHWInjOffBitmask: 9
BurstHWInjOffBitmask: 17
DetCharHWInjOffBitmask: 33
StochHWInjOffBitmask: 65
NoiseSubGateBitmask: 1
FilterClockBitmaskList: 1

[PipelineConfigurations]
BufferLength: 1.0
FrequencyDomainFiltering: No

[FilterConfigurations]
HighpassName: highpass
HighpassDelay: highpass_delay
HighpassSR: highpass_sr
CorrectionName: correction
CorrectionDelay: correction_delay
CorrectionSR: correction_sr
